import { ElementRef, QueryList } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SandboxMenuItem, SelectedSandboxAndScenarioKeys } from './shared/app-state';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
import { StateService } from './shared/state.service';
import { EventManager } from '@angular/platform-browser';
import { UrlService } from './shared/url.service';
import { LevenshteinDistance } from './shared/levenshtein-distance';
export declare class AppComponent {
    private stateService;
    private urlService;
    private eventManager;
    private levenshteinDistance;
    commandBarActive: boolean;
    commandBarPreview: boolean;
    totalSandboxes: number;
    filteredSandboxMenuItems: SandboxMenuItem[];
    selectedSandboxAndScenarioKeys: SelectedSandboxAndScenarioKeys;
    filter: FormControl;
    shortcuts: {
        keys: string[];
        description: string;
    }[];
    scenarioLinkElements: QueryList<ElementRef>;
    constructor(sandboxMenuItems: SandboxMenuItem[], stateService: StateService, urlService: UrlService, eventManager: EventManager, levenshteinDistance: LevenshteinDistance);
    onFilterBoxArrowDown(event: any, switchToScenario?: boolean): void;
    onFilterBoxArrowUp(event: any, switchToScenario?: boolean): void;
    onScenarioLinkAltDown(scenarioElement: any, event: any): void;
    onScenarioLinkAltUp(scenarioElement: any, event: any): void;
    onScenarioLinkKeyDown(scenarioElement: any, filterElement: any, event: any): void;
    onScenarioLinkKeyUp(scenarioElement: any, event: any): void;
    onCommandBarStartPreview(event: any): void;
    onCommandBarStopPreview(): void;
    onScenarioClick(sandboxKey: string, scenarioKey: number, event: any): void;
    isSelected(sandbox: any, scenario: any): boolean;
    private blockEvent(e);
    private showScenario(selectedScenarioElementRef);
    private findCurrentScenarioIndex();
    private goUp(scenarioElement);
    private goDown(scenarioElement);
    private focusScenarioLinkElement(index);
    private filterSandboxes(sandboxMenuItems, filter);
    private toggleCommandBar();
    private selectScenario(sandboxKey, scenarioKey);
    private getShortcuts();
}
